# Uses of Class
com.google.protobuf.MapFieldLite

Packages that use MapFieldLite
Package
Description
com.google.protobuf

## Uses of MapFieldLite in com.google.protobuf

Methods in com.google.protobuf that return MapFieldLite
Modifier and Type
Method
Description
`static <K, V> MapFieldLite<K,V>`
MapFieldLite.`emptyMapField()`
Returns a singleton immutable empty MapFieldLite instance.
`MapFieldLite<K,V>`
MapFieldLite.`mutableCopy()`
Returns a deep copy of this map field.
Methods in com.google.protobuf with parameters of type MapFieldLite
Modifier and Type
Method
Description
`void`
MapFieldLite.`mergeFrom(MapFieldLite<K,V> other)`
`void`
MapEntryLite.`parseInto(MapFieldLite<K,V> map, CodedInputStream input, ExtensionRegistryLite extensionRegistry)`
Parses an entry off of the input into the map.